bzclose
bzdecompress
Bzip2 Functions
PHP Manual

# bzcompress

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

bzcompress — Compress a string into bzip2 encoded data

### Description

mixed bzcompress ( string `$source` [, int `$blocksize` = 4 [, int `$workfactor` = 0 ]] )

bzcompress() compresses the given string and returns it as bzip2 encoded data.

### Parameters

`source`

  The string to compress.

`blocksize`

  Specifies the blocksize used during compression and should be a number from 1 to 9 with 9 giving the best compression, but using more resources to do so.

`workfactor`

  Controls how the compression phase behaves when presented with worst case, highly repetitive, input data. The value can be between 0 and 250 with 0 being a special case.

  Regardless of the `workfactor`, the generated output is the same.

### Return Values

The compressed string, or an error number if an error occurred.

### Examples

Example #1 Compressing data

`<?php
$str = "sample data";
$bzstr = bzcompress($str, 9);
echo $bzstr;
?>`

### See Also

- bzdecompress() - Decompresses bzip2 encoded data

bzclose
bzdecompress
Bzip2 Functions
PHP Manual